[Commits] Rev 57: * Added config file for new Intel machine called pitbull in file:///Users/hakan/work/monty_program/mariadb-tools/

Hakan Kuecuekyilmaz hakan.kuecuekyilmaz at t-online.de
Mon Nov 1 20:43:29 EET 2010


At file:///Users/hakan/work/monty_program/mariadb-tools/

------------------------------------------------------------
revno: 57
revision-id: hakan at askmonty.org-20101101184328-cb005gpctpt0rjoa
parent: hakan at askmonty.org-20101028161849-j9lq09r8sv90tuls
committer: Hakan Kuecuekyilmaz <hakan at askmonty.org>
branch nick: mariadb-tools
timestamp: Mon 2010-11-01 19:43:28 +0100
message:
  * Added config file for new Intel machine called pitbull
  * Config file cleanup
  * Added mkdir loop for cases when the SysBench test
  is run with several different options
-------------- next part --------------
=== modified file 'sysbench/conf/au0013.inc'
--- a/sysbench/conf/au0013.inc	2010-10-19 12:24:13 +0000
+++ b/sysbench/conf/au0013.inc	2010-11-01 18:43:28 +0000
@@ -10,15 +10,14 @@
 # Adjust the following paths according to your installation.
 #
 
-# Base directory where sysbench files are found 
+# Base directory where SysBench files are found.
 BASE="${HOME}/work"
 TEST_DIR="${BASE}/monty_program/sysbench/sysbench/tests/db"
 
-
-# We need sysbench >= v0.5.
+# We need SysBench >= v0.5.
 SYSBENCH='/usr/local/bin/sysbench'
 
-# We need bzr >= 1.18.1
+# We need bzr >= 1.18.1.
 BZR='/usr/local/bin/bzr'
 
 # OProfile binaries.
@@ -42,15 +41,15 @@
 # Where to compile the sources.
 WORK_DIR='/tmp'
 
-# Which concurrency level(s) we want to profile with OProfile
+# Which concurrency level(s) we want to profile with OProfile.
 #
-# Example: profile 8 and 32
+# Example: profile 8 and 32.
 # DO_OPROFILE='8 32'
 #DO_OPROFILE='64'
 # There is no OProfile on Mac OS X.
 DO_OPROFILE=''
 
-# sysbench tests to run.
+# SysBench tests to run.
 SYSBENCH_TESTS[0]="delete.lua"
 SYSBENCH_TESTS[1]="insert.lua"
 SYSBENCH_TESTS[2]="oltp_complex_ro.lua"

=== modified file 'sysbench/conf/lu0012.inc'
--- a/sysbench/conf/lu0012.inc	2010-10-19 12:24:13 +0000
+++ b/sysbench/conf/lu0012.inc	2010-11-01 18:43:28 +0000
@@ -10,15 +10,14 @@
 # Adjust the following paths according to your installation.
 #
 
-# Base directory where sysbench files are found 
+# Base directory where SysBench files are found.
 BASE="${HOME}/work"
 TEST_DIR="${BASE}/monty_program/sysbench/sysbench/tests/db"
 
-
-# We need sysbench >= v0.5.
+# We need SysBench >= v0.5.
 SYSBENCH='/usr/local/bin/sysbench'
 
-# We need bzr >= 1.18.1
+# We need bzr >= 1.18.1.
 BZR='/usr/bin/bzr'
 
 # OProfile binaries.
@@ -40,13 +39,13 @@
 # Where to compile the sources.
 WORK_DIR='/tmp'
 
-# Which concurrency level(s) we want to profile with OProfile
+# Which concurrency level(s) we want to profile with OProfile.
 #
-# Example: profile 8 and 32
+# Example: profile 8 and 32.
 # DO_OPROFILE='8 32'
 DO_OPROFILE='1'
 
-# sysbench tests to run.
+# SysBench tests to run.
 SYSBENCH_TESTS[0]="delete.lua"
 SYSBENCH_TESTS[1]="insert.lua"
 SYSBENCH_TESTS[2]="oltp_complex_ro.lua"

=== modified file 'sysbench/conf/perro.inc'
--- a/sysbench/conf/perro.inc	2010-10-19 12:24:13 +0000
+++ b/sysbench/conf/perro.inc	2010-11-01 18:43:28 +0000
@@ -10,15 +10,14 @@
 # Adjust the following paths according to your installation.
 #
 
-# Base directory where sysbench files are found 
+# Base directory where SysBench files are found.
 BASE="${HOME}/work"
 TEST_DIR="${BASE}/monty_program/sysbench/sysbench/tests/db"
 
-
-# We need sysbench >= v0.5.
+# We need SysBench >= v0.5.
 SYSBENCH='/usr/local/bin/sysbench'
 
-# We need bzr >= 1.18.1
+# We need bzr >= 1.18.1.
 BZR='/usr/local/bin/bzr'
 
 # OProfile binaries.
@@ -40,13 +39,13 @@
 # Where to compile the sources.
 WORK_DIR='/tmp'
 
-# Which concurrency level(s) we want to profile with OProfile
+# Which concurrency level(s) we want to profile with OProfile.
 #
-# Example: profile 8 and 32
+# Example: profile 8 and 32.
 # DO_OPROFILE='8 32'
 DO_OPROFILE='64'
 
-# sysbench tests to run.
+# SysBench tests to run.
 SYSBENCH_TESTS[0]="delete.lua"
 SYSBENCH_TESTS[1]="insert.lua"
 SYSBENCH_TESTS[2]="oltp_complex_ro.lua"

=== added file 'sysbench/conf/pitbull.inc'
--- a/sysbench/conf/pitbull.inc	1970-01-01 00:00:00 +0000
+++ b/sysbench/conf/pitbull.inc	2010-11-01 18:43:28 +0000
@@ -0,0 +1,64 @@
+# Configuration file for host: pitbull
+#
+# OS: Ubuntu 10.10
+# Platform: x86_64
+# CPU: Two socket hexa-core Intel Xeon X5660 @ 2.80GHz
+# RAM: 28GB
+# Disk(s): 1 x ST3500320NS S-ATA
+
+#
+# Adjust the following paths according to your installation.
+#
+
+# Base directory where SysBench files are found.
+BASE="${HOME}/work"
+TEST_DIR="${BASE}/monty_program/sysbench/sysbench/tests/db"
+
+# We need SysBench >= v0.5.
+SYSBENCH='/usr/local/bin/sysbench'
+
+# We need bzr >= 1.18.1.
+BZR='/usr/bin/bzr'
+
+# OProfile binaries.
+OPCONTROL='/usr/bin/opcontrol'
+
+# System statistic binaries.
+IOSTAT='/usr/bin/iostat'
+IOSTAT_DEVICE='/dev/sda'
+# For CPU utilization statistics.
+MPSTAT='/usr/bin/mpstat'
+
+# Other binaries.
+SUDO=/usr/bin/sudo
+
+# Directories.
+TEMP_DIR="${HOME}/tmp"
+DATA_DIR="${TEMP_DIR}/data"
+
+# Where to compile the sources.
+WORK_DIR='/tmp'
+
+# Which concurrency level(s) we want to profile with OProfile.
+#
+# Example: profile 8 and 32.
+# DO_OPROFILE='8 32'
+DO_OPROFILE='64'
+
+# SysBench tests to run.
+SYSBENCH_TESTS[0]="delete.lua"
+SYSBENCH_TESTS[1]="insert.lua"
+SYSBENCH_TESTS[2]="oltp_complex_ro.lua"
+SYSBENCH_TESTS[3]="oltp_complex_rw.lua"
+SYSBENCH_TESTS[4]="oltp_simple.lua"
+SYSBENCH_TESTS[5]="select.lua"
+
+# Default option is --random-points=10.
+SYSBENCH_TESTS[6]="select_random_points.lua"
+
+# Default options are
+#   --number-of-ranges=10
+#   --random-ranges-delta=5.
+SYSBENCH_TESTS[7]="select_random_ranges.lua"
+SYSBENCH_TESTS[8]="update_index.lua"
+SYSBENCH_TESTS[9]="update_non_index.lua"

=== modified file 'sysbench/conf/work.inc'
--- a/sysbench/conf/work.inc	2010-10-19 12:24:13 +0000
+++ b/sysbench/conf/work.inc	2010-11-01 18:43:28 +0000
@@ -10,15 +10,14 @@
 # Adjust the following paths according to your installation.
 #
 
-# Base directory where sysbench files are found 
+# Base directory where SysBench files are found.
 BASE="${HOME}/work"
 TEST_DIR="${BASE}/monty_program/sysbench/sysbench/tests/db"
 
-
-# We need sysbench >= v0.5.
+# We need SysBench >= v0.5.
 SYSBENCH='/usr/local/bin/sysbench'
 
-# We need bzr >= 1.18.1
+# We need bzr >= 1.18.1.
 BZR='/usr/local/bin/bzr'
 
 # OProfile binaries.
@@ -40,13 +39,13 @@
 # Where to compile the sources.
 WORK_DIR='/tmp'
 
-# Which concurrency level(s) we want to profile with OProfile
+# Which concurrency level(s) we want to profile with OProfile.
 #
-# Example: profile 8 and 32
+# Example: profile 8 and 32.
 # DO_OPROFILE='8 32'
 DO_OPROFILE='64'
 
-# sysbench tests to run.
+# SysBench tests to run.
 SYSBENCH_TESTS[0]="delete.lua"
 SYSBENCH_TESTS[1]="insert.lua"
 SYSBENCH_TESTS[2]="oltp_complex_ro.lua"

=== modified file 'sysbench/run-sysbench-myisam.sh'
--- a/sysbench/run-sysbench-myisam.sh	2010-10-19 12:24:13 +0000
+++ b/sysbench/run-sysbench-myisam.sh	2010-11-01 18:43:28 +0000
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# Run sysbench tests with MariaDB and MySQL
+# Run SysBench tests with MariaDB and MySQL
 #
 # Notes:
 #   * Do not run this script with root privileges. We use
@@ -91,18 +91,18 @@
   --table_open_cache=512 \
   --thread_cache=512 \
   --tmpdir=$TEMP_DIR"
-#  --key_cache_partitions=7 \
+#  --key_cache_segments=32 \
 
-# Number of threads we run sysbench with.
+# Number of threads we run SysBench with.
 NUM_THREADS="1 4 8 16 32 64 128"
 
-# The table size we use for sysbench.
+# The table size we use for SysBench.
 TABLE_SIZE=20000000
 
-# The run time we use for sysbench.
+# The run time we use for SysBench.
 RUN_TIME=1200
 
-# Warm up time we use for sysbench.
+# Warm up time we use for SysBench.
 WARM_UP_TIME=300
 
 # How many times we run each test.
@@ -226,7 +226,7 @@
 #
 # Go to work.
 #
-echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting sysbench runs."
+echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting SysBench runs."
 
 #
 # Prepare results directory.
@@ -297,9 +297,38 @@
 
 for (( i = 0 ; i < ${#SYSBENCH_TESTS[@]} ; i++ ))
     do
-    # Get rid of any options of given sysbench test.
+    # Get rid of any options of given SysBench test.
     SYSBENCH_TEST=$(echo "${SYSBENCH_TESTS[$i]}" | awk '{ print $1 }')
-    mkdir ${RESULT_DIR}/${TODAY}/${PRODUCT}/${SYSBENCH_TEST}
+    # If we run the same SysBench test with different options,
+    # then we have to care not to overwrite our previous results.
+    m=0
+    DIR_CREATED=-1
+    MKDIR_RETRY=512
+    DIR_TO_CREATE="${RESULT_DIR}/${TODAY}/${PRODUCT}/${SYSBENCH_TEST}"
+    
+    if [ ! -d $DIR_TO_CREATE ]; then
+        mkdir $DIR_TO_CREATE
+    else 
+        while [ $m -le $MKDIR_RETRY ]
+            do
+            if [ ! -d ${DIR_TO_CREATE}-${l} ]; then
+                mkdir ${DIR_TO_CREATE}-${l}
+                DIR_CREATED=1
+                
+                break
+            fi
+            
+            m=$(($m + 1))
+        done
+        
+        if [ $DIR_CREATED = -1 ]; then
+            echo "[ERROR]: Could not create result dir after $MKDIR_RETRY times."
+            echo '  Please check your configuration and file system.'
+            echo '  Refusing to overwrite existing results. Exiting!'
+            
+            exit 1
+        fi
+    fi
 
     kill_mysqld
     start_mysqld
@@ -367,7 +396,7 @@
             echo 'FLUSH STATUS' | $MYSQL $MYSQL_OPTIONS
             echo "[$(date "+%Y-%m-%d %H:%M:%S")] Finnished warm up."
 
-            echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting actual sysbench run."
+            echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting actual SysBench run."
             
             $IOSTAT -d -k $IOSTAT_DEVICE $MONITOR_INTERVAL > ${THIS_RESULT_DIR}/iostat${k}.txt 2>&1 &
             IOSTAT_PID=$!
@@ -387,7 +416,7 @@
                 fi
                 
                 $SUDO opcontrol --start
-                echo "[$(date "+%Y-%m-%d %H:%M:%S")] This is an OProfile'd sysbench run."
+                echo "[$(date "+%Y-%m-%d %H:%M:%S")] This is an OProfile'd SysBench run."
             fi
 
             $SYSBENCH $SYSBENCH_OPTIONS_RUN run > ${THIS_RESULT_DIR}/result${k}.txt 2>&1
@@ -429,5 +458,5 @@
 #
 # We are done!
 #
-echo "[$(date "+%Y-%m-%d %H:%M:%S")] Finished sysbench runs."
+echo "[$(date "+%Y-%m-%d %H:%M:%S")] Finished SysBench runs."
 echo "  You can check your results."

=== modified file 'sysbench/run-sysbench.sh'
--- a/sysbench/run-sysbench.sh	2010-10-21 09:37:00 +0000
+++ b/sysbench/run-sysbench.sh	2010-11-01 18:43:28 +0000
@@ -1,6 +1,6 @@
 #!/bin/bash
 #
-# Run sysbench tests with MariaDB and MySQL
+# Run SysBench tests with MariaDB and MySQL
 #
 # Notes:
 #   * Do not run this script with root privileges. We use
@@ -90,16 +90,16 @@
   --innodb_max_dirty_pages_pct=80 \
   --innodb_thread_concurrency=0"
 
-# Number of threads we run sysbench with.
+# Number of threads we run SysBench with.
 NUM_THREADS="1 4 8 16 32 64 128"
 
-# The table size we use for sysbench.
+# The table size we use for SysBench.
 TABLE_SIZE=2000000
 
-# The run time we use for sysbench.
+# The run time we use for SysBench.
 RUN_TIME=1200
 
-# Warm up time we use for sysbench.
+# Warm up time we use for SysBench.
 WARM_UP_TIME=300
 
 # How many times we run each test.
@@ -218,7 +218,7 @@
 #
 # Go to work.
 #
-echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting sysbench runs."
+echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting SysBench runs."
 
 #
 # Prepare results directory.
@@ -289,9 +289,38 @@
 
 for (( i = 0 ; i < ${#SYSBENCH_TESTS[@]} ; i++ ))
     do
-    # Get rid of any options of given sysbench test.
+    # Get rid of any options of given SysBench test.
     SYSBENCH_TEST=$(echo "${SYSBENCH_TESTS[$i]}" | awk '{ print $1 }')
-    mkdir ${RESULT_DIR}/${TODAY}/${PRODUCT}/${SYSBENCH_TEST}
+    # If we run the same SysBench test with different options,
+    # then we have to care not to overwrite our previous results.
+    m=0
+    DIR_CREATED=-1
+    MKDIR_RETRY=512
+    DIR_TO_CREATE="${RESULT_DIR}/${TODAY}/${PRODUCT}/${SYSBENCH_TEST}"
+    
+    if [ ! -d $DIR_TO_CREATE ]; then
+        mkdir $DIR_TO_CREATE
+    else 
+        while [ $m -le $MKDIR_RETRY ]
+            do
+            if [ ! -d ${DIR_TO_CREATE}-${l} ]; then
+                mkdir ${DIR_TO_CREATE}-${l}
+                DIR_CREATED=1
+                
+                break
+            fi
+            
+            m=$(($m + 1))
+        done
+        
+        if [ $DIR_CREATED = -1 ]; then
+            echo "[ERROR]: Could not create result dir after $MKDIR_RETRY times."
+            echo '  Please check your configuration and file system.'
+            echo '  Refusing to overwrite existing results. Exiting!'
+            
+            exit 1
+        fi
+    fi
 
     kill_mysqld
     start_mysqld
@@ -358,7 +387,7 @@
             sync
             echo "[$(date "+%Y-%m-%d %H:%M:%S")] Finnished warm up."
 
-            echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting actual sysbench run."
+            echo "[$(date "+%Y-%m-%d %H:%M:%S")] Starting actual SysBench run."
 
             $IOSTAT -d -k $IOSTAT_DEVICE $MONITOR_INTERVAL > ${THIS_RESULT_DIR}/iostat${k}.txt 2>&1 &
             IOSTAT_PID=$!
@@ -378,7 +407,7 @@
                 fi
                 
                 $SUDO opcontrol --start
-                echo "[$(date "+%Y-%m-%d %H:%M:%S")] This is an OProfile'd sysbench run."
+                echo "[$(date "+%Y-%m-%d %H:%M:%S")] This is an OProfile'd SysBench run."
             fi
             
             $SYSBENCH $SYSBENCH_OPTIONS_RUN run > ${THIS_RESULT_DIR}/result${k}.txt 2>&1
@@ -418,5 +447,5 @@
 #
 # We are done!
 #
-echo "[$(date "+%Y-%m-%d %H:%M:%S")] Finished sysbench runs."
+echo "[$(date "+%Y-%m-%d %H:%M:%S")] Finished SysBench runs."
 echo "  You can check your results."



More information about the commits mailing list